Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::node_interface_matches_eventin Struct Reference

`#include <openvrml/node.h>`

List of all members.

## Detailed Description

Determine if a `node_interface` matches an `eventIn` identifier.

Model of
  Adaptable Binary Predicate, Default Constructible

## Public Member Functions

result_type | operator() (const first_argument_type &interface_, const second_argument_type &eventin_id) const
| Determine if a `node_interface` matches an `eventIn` identifier.

## Member Function Documentation

openvrml::node_interface_matches_eventin::result_type openvrml::node_interface_matches_eventin::operator() | ( | const first_argument_type & | interface_,
|  | const second_argument_type & | eventin_id |
| ) |  |  | const`[inline]`

Determine if a `node_interface` matches an `eventIn` identifier.

A `node_interface` matches an `eventIn` identifier if:

- the `node_interface`'s type is `node_interface::eventin_id` and
  - the `node_interface`'s id is lexicographically equal to the `eventIn` identifier
  - or the `node_interface`'s id is lexicographically equal to the `eventIn` identifier with the string “set_” prepended.
- or, the `node_interface`'s type is `node_interface::exposedfield_id` and
  - the `node_interface`'s id is lexicographically equal to the `eventIn` identifier
  - or the `node_interface`'s id with the string “set_” prepended is lexicographically equal to the `eventIn` identifier.

Parameters:

  `[in]` | interface_ | `node_interface`.
  `[in]` | eventin_id | `eventIn` identifier.

Returns:
  `true` if `interface_` matches `eventin_id`; `false` otherwise.